/** 单证 -- 装箱单-面料 **/
import { getAction,deleteAction,postAction} from '@/api/manage'

//分页查询
const fabricList = params => getAction('/splfi/syPackingListFabric/list', params)

//参考数据
const referenceList = params => getAction('/splfi/syPackingListFabric/getShippingDetails', params)

//发送明细id获取信息
const getShippingDetailId = params => getAction('/splfi/syPackingListFabric/getShippingDetailId', params)

//新增
const addFabricList = params => postAction('/splfi/syPackingListFabric/add', params)

//根据id查询
const fabricListId = params => getAction('/splfi/syPackingListFabric/queryById', params)

//编辑
const editFabricList = params => postAction('/splfi/syPackingListFabric/edit', params)

//删除
const deleteFabricList = params => deleteAction('/splfi/syPackingListFabric/delete', params)

//提交
const submitList = params => getAction('/splfi/syPackingListFabric/submit', params)

//取消提交
const cancelSubmit = params => getAction('/splfi/syPackingListFabric/cancelSubmit', params)

//批量提交
const bitchSubmit = params => getAction('/splfi/syPackingListFabric/submitBatch', params)

//批量取消提交
const bitchCancelSubmit = params => getAction('/splfi/syPackingListFabric/cancelSubmitBatch', params)



export {fabricList,referenceList,getShippingDetailId,addFabricList,fabricListId,editFabricList,deleteFabricList,submitList,cancelSubmit,bitchSubmit,bitchCancelSubmit}